Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## info.bioinfweb.treegraph.document.io.newick
Class NewickToken

    java.lang.Object
      info.bioinfweb.treegraph.document.io.newick.NewickToken

    public class NewickToken

extends Object

Field Summary
`private String` | `comment`
`private boolean` | `delimited`
`private double` | `length`
`private String` | `text`
`private int` | `textPos`
`private TokenType` | `type`

Constructor Summary
`NewickToken(int textPos, double length)`
`NewickToken(int textPos, String text, boolean delimited)`
`NewickToken(TokenType type, int textPos)`

Method Summary
`String` | `getComment()` Returns the comment which was located behind this element in the Newick string (if there was any).
`double` | `getLength()`
`String` | `getText()`
`int` | `getTextPos()`
`TokenType` | `getType()`
`void` | `setComment(String comment)`
`void` | `setDelimited(boolean delimited)`
`void` | `setLength(double length)`
`void` | `setText(String text)`
`boolean` | `wasDelimited()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### type

    private TokenType type

### textPos

    private int textPos

### text

    private String text

### length

    private double length

### delimited

    private boolean delimited

### comment

    private String comment

Constructor Detail

### NewickToken

    public NewickToken(TokenType type,
                       int textPos)

### NewickToken

    public NewickToken(int textPos,
                       String text,
                       boolean delimited)

### NewickToken

    public NewickToken(int textPos,
                       double length)

Method Detail

### getLength

    public double getLength()

### getText

    public String getText()

### getType

    public TokenType getType()

### setLength

    public void setLength(double length)

### setText

    public void setText(String text)

### getTextPos

    public int getTextPos()

### wasDelimited

    public boolean wasDelimited()

### setDelimited

    public void setDelimited(boolean delimited)

### getComment

    public String getComment()

  Returns the comment which was located behind this element in the Newick string (if there was any).

  Returns:

### setComment

    public void setComment(String comment)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD